Schemes
Keywords: uk.ac.bbk.dcs.automed.qproc.annotate.grammars.schemes.Schemes class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.annotate.grammars.schemes
Class Schemes

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.annotate.grammars.QueryParser
          uk.ac.bbk.dcs.automed.qproc.annotate.grammars.schemes.Schemes

All Implemented Interfaces:
  SchemesConstants

    public class Schemes

extends QueryParser
implements SchemesConstants

Field Summary
`Token` | `jj_nt`
`Token` | `token`
`SchemesTokenManager` | `token_source`

Fields inherited from interface uk.ac.bbk.dcs.automed.qproc.annotate.grammars.schemes.SchemesConstants
`COMMA, CONSTOKEN, DEFAULT, EOF, NUMTOKEN, STRTOKEN, tokenImage, VARTOKEN, WRAPPERTOKEN`

Constructor Summary
`Schemes(java.io.InputStream stream)`
`Schemes(java.io.Reader stream)`
`Schemes(SchemesTokenManager tm)`

Method Summary
`void` | `consName()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `modelName()`
`void` | `parse()`
`void` | `peerName()`
`void` | `pureScheme()`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `ReInit(SchemesTokenManager tm)`
`void` | `schemaName()`
`void` | `schemeElement()`
`void` | `schemeSeq()`
`void` | `simpleScheme()`
`void` | `type()`
`void` | `varOrCons()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public SchemesTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

Constructor Detail

### Schemes

    public Schemes(java.io.InputStream stream)

### Schemes

    public Schemes(java.io.Reader stream)

### Schemes

    public Schemes(SchemesTokenManager tm)

Method Detail

### parse

    public final void parse()
                     throws ParseException

  Specified by:
    `parse` in class `QueryParser`
  Throws:
    `ParseException`

### simpleScheme

    public final void simpleScheme()
                            throws ParseException

  Throws:
    `ParseException`

### pureScheme

    public final void pureScheme()
                          throws ParseException

  Throws:
    `ParseException`

### peerName

    public final void peerName()
                        throws ParseException

  Throws:
    `ParseException`

### schemaName

    public final void schemaName()
                          throws ParseException

  Throws:
    `ParseException`

### modelName

    public final void modelName()
                         throws ParseException

  Throws:
    `ParseException`

### consName

    public final void consName()
                        throws ParseException

  Throws:
    `ParseException`

### type

    public final void type()
                    throws ParseException

  Throws:
    `ParseException`

### varOrCons

    public final void varOrCons()
                         throws ParseException

  Throws:
    `ParseException`

### schemeSeq

    public final void schemeSeq()
                         throws ParseException

  Throws:
    `ParseException`

### schemeElement

    public final void schemeElement()
                             throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

  Specified by:
    `ReInit` in class `QueryParser`

### ReInit

    public void ReInit(SchemesTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD